#ifndef CAMERAWINDOW_H
#define CAMERAWINDOW_H

#include <QMainWindow>
#include <QCamera>
#include <QCameraImageCapture>
#include <QCameraViewfinder>
#include <QCloseEvent>
#include <QZXing.h>
#include "camerasurface.h"

namespace Ui {
class CameraWindow;
}

class CameraWindow : public QMainWindow
{
    Q_OBJECT
    private:
        Ui::CameraWindow *ui;
        QCamera * camera;
        QCameraImageCapture * capture;
        QCameraViewfinder *viewfinder;
        CameraSurface *cameraSurface;
        QZXing *zxing;
        QImage *img;
        u_int8_t * buffer;
        bool hasResolution;

    public:
        explicit CameraWindow(QWidget *parent = 0);
        ~CameraWindow();
        virtual void closeEvent(QCloseEvent * event);

    signals:
        void close();

    public slots:
        void frameHandler(QByteArray&,int,int);
        void showResult(QString);
};

#endif // CAMERAWINDOW_H
